Open CASCADE Technology
7.1.0.beta
|
Implements construction algorithms for a trimmed cylinder limited by two planes orthogonal to its axis. The result is a Geom_RectangularTrimmedSurface surface. A MakeTrimmedCylinder provides a framework for: More...
#include <GC_MakeTrimmedCylinder.hxx>
Public Member Functions | |
GC_MakeTrimmedCylinder (const gp_Pnt &P1, const gp_Pnt &P2, const gp_Pnt &P3) | |
Make a cylindricalSurface <Cyl> from Geom Its axis is is <P1P2> and its radius is the distance between <P3> and <P1P2>. The height is the distance between P1 and P2. More... | |
GC_MakeTrimmedCylinder (const gp_Circ &Circ, const Standard_Real Height) | |
Make a cylindricalSurface <Cyl> from gp by its base <Circ>. Its axis is the normal to the plane defined bi <Circ>. <Height> can be greater than zero or lower than zero. In the first case the V parametric direction of the result has the same orientation as the normal to <Circ>. In the other case it has the opposite orientation. More... | |
GC_MakeTrimmedCylinder (const gp_Ax1 &A1, const Standard_Real Radius, const Standard_Real Height) | |
Make a cylindricalSurface <Cyl> from gp by its axis <A1> and its radius <Radius>. It returns NullObject if <Radius> is lower than zero. <Height> can be greater than zero or lower than zero. In the first case the V parametric direction of the result has the same orientation as <A1>. In the other case it has the opposite orientation. More... | |
GC_MakeTrimmedCylinder (const gp_Cylinder &Cyl, const gp_Pnt &P, const Standard_Real Height) | |
Make a RectangularTrimmedSurface <Cylinder> from gp by a cylinder from gp. It is trimmed by the point. More... | |
GC_MakeTrimmedCylinder (const gp_Cylinder &Cyl, const gp_Pnt &P1, const gp_Pnt &P2) | |
Make a RectangularTrimmedSurface <Cylinder> from gp by a cylinder from gp. It is trimmed by the two points <P1> and <P2>. Warning If an error occurs (that is, when IsDone returns false), the Status function returns: More... | |
const Handle< Geom_RectangularTrimmedSurface > & | Value () const |
Returns the constructed trimmed cylinder. Exceptions StdFail_NotDone if no trimmed cylinder is constructed. More... | |
operator const Handle< Geom_RectangularTrimmedSurface > & () const | |
Public Member Functions inherited from GC_Root | |
Standard_Boolean | IsDone () const |
Returns true if the construction is successful. More... | |
gce_ErrorType | Status () const |
Returns the status of the construction: More... | |
Additional Inherited Members | |
Protected Attributes inherited from GC_Root | |
gce_ErrorType | TheError |
Implements construction algorithms for a trimmed cylinder limited by two planes orthogonal to its axis. The result is a Geom_RectangularTrimmedSurface surface. A MakeTrimmedCylinder provides a framework for:
GC_MakeTrimmedCylinder::GC_MakeTrimmedCylinder | ( | const gp_Pnt & | P1, |
const gp_Pnt & | P2, | ||
const gp_Pnt & | P3 | ||
) |
Make a cylindricalSurface <Cyl> from Geom Its axis is is <P1P2> and its radius is the distance between <P3> and <P1P2>. The height is the distance between P1 and P2.
GC_MakeTrimmedCylinder::GC_MakeTrimmedCylinder | ( | const gp_Circ & | Circ, |
const Standard_Real | Height | ||
) |
Make a cylindricalSurface <Cyl> from gp by its base <Circ>. Its axis is the normal to the plane defined bi <Circ>. <Height> can be greater than zero or lower than zero. In the first case the V parametric direction of the result has the same orientation as the normal to <Circ>. In the other case it has the opposite orientation.
GC_MakeTrimmedCylinder::GC_MakeTrimmedCylinder | ( | const gp_Ax1 & | A1, |
const Standard_Real | Radius, | ||
const Standard_Real | Height | ||
) |
Make a cylindricalSurface <Cyl> from gp by its axis <A1> and its radius <Radius>. It returns NullObject if <Radius> is lower than zero. <Height> can be greater than zero or lower than zero. In the first case the V parametric direction of the result has the same orientation as <A1>. In the other case it has the opposite orientation.
GC_MakeTrimmedCylinder::GC_MakeTrimmedCylinder | ( | const gp_Cylinder & | Cyl, |
const gp_Pnt & | P, | ||
const Standard_Real | Height | ||
) |
Make a RectangularTrimmedSurface <Cylinder> from gp by a cylinder from gp. It is trimmed by the point.
and the heigh <Heigh>. <Height> can be greater than zero or lower than zero. in the first case the limit section is in the side of the positives V paramters of <Cyl> and in the other side if <Heigh> is lower than zero.
GC_MakeTrimmedCylinder::GC_MakeTrimmedCylinder | ( | const gp_Cylinder & | Cyl, |
const gp_Pnt & | P1, | ||
const gp_Pnt & | P2 | ||
) |
Make a RectangularTrimmedSurface <Cylinder> from gp by a cylinder from gp. It is trimmed by the two points <P1> and <P2>. Warning If an error occurs (that is, when IsDone returns false), the Status function returns:
|
inline |
const Handle< Geom_RectangularTrimmedSurface >& GC_MakeTrimmedCylinder::Value | ( | ) | const |
Returns the constructed trimmed cylinder. Exceptions StdFail_NotDone if no trimmed cylinder is constructed.